package com.sf._07_file;

import java.io.File;
import java.io.IOException;
import java.util.Scanner;

public class Test1 {
    /**
     * 需求1
     * 在控制台当中录入文件名字
     * 要求在D盘下面abc1 目录去创建出来响应文件
     * 判断文件是否存在,如果不存在就创建
     * 如果存在就不创建
     *
     * 需求2
     * 现在在abc目录中有 a 目录  b目录    a.txt b.txt
     * a 目录中里面有c.txt  d.txt  b目录中f.txt g.txt
     * 现在要在控制台当中打印出来abc 目中中所有的文件名
     *
     *
     *
     * 需求3 查询制定目录下有几个txt 文件
     */

    public static void main(String[] args) throws IOException {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入文件名字");
        String fileName = scanner.next();
        String baseDir = "D:\\abc1\\";
        // 要创建目录
        File file1 = new File(baseDir);
        // 要创建文件
        File file = new File(baseDir+fileName);
        // 判断文件是否存在
        if(!file.exists()){
            //创建目录
            // d:\abc1\a.txt   getName a.txt  indexOf a.txt
            file1.mkdirs();
//            //创建文件
            file.createNewFile();
        }

    }
}
